package workforecast

class RevisorController {
    
    def authenticateUser(roleName)
    {
        if(!session.user)
            return false
        else
        {
            def curUser = User.get(session.user.id[0])
            if(curUser.role == roleName)
            return true
            else
            return false
        }
    }

    def index() 
    {
        if(!authenticateUser("Controller"))
        {
            redirect(controller:"main", action:"index")
            return
        }
        
        def consultantID=params.int("consultantID")
        def currUser
        def currMessages
        def sessionUser = User.get(session.user.id[0])
        
        def Consultants = User.findAllByRole("Consultant")
        
        if(consultantID)
        {
            currUser=User.get(consultantID)
            currMessages = Message.where{user==sessionUser && messageAddressee==currUser}.findAll()
        }
        
        render(view:"index", model:[user:currUser, messages:currMessages, consultants:Consultants])
    }
    
    def saveMessage()
    {
        if(!authenticateUser("Controller"))
        {
            redirect(controller:"main", action:"index")
            return
        }
        
        def userID = params.int("userID")
        def Receiver = User.get(userID)
        
        def controllerUser = User.get(session.user.id[0])
        
        def newMessage = new Message()
        newMessage.user=controllerUser
        newMessage.messageText = params.messageText
        newMessage.messageDate = new Date()
        newMessage.messageAddressee = Receiver
        
        if(!newMessage.save())
            println newMessage.errors
            
        def currMessages = Message.where{user==controllerUser && messageAddressee==Receiver}.findAll()
        render(view:"messageTable",model:[messages:currMessages])
        
    }
}
