<!--
  To change this template, choose Tools | Templates
  and open the template in the editor.
-->

<%@ page contentType="text/html;charset=UTF-8" %>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Activity Forecast</title>
    <meta name="layout" content="light"/>
    <g:javascript library="jquery"/>
    <style type="text/css">
      .weekCell
      {
        width:50px;
        
      }
      .weekDiv
      {
        float:left;
         width:60px;
          margin-left:5px;
        margin-right:5px;
                text-align: center;
      }
       #slides{width:500px;overflow:hidden;}
      .slide{float:left; width:500px;}
      #gallery{width:500px;overflow:hidden; border-style:solid; border-width:1px; border-color:#aaaaaa; background-color:#efefef; padding-left:15px; margin-top:20px;}
      #menu{height:45px;}
	.menuItem{float:left; list-style-type:none; color:#ff0000; margin-left:5px; margin-right:5px; }
	#menu a{color:#ff0000}
	#menu a:hover{color:#ffcc00}
      
    </style>
    
  </head>
  <body>
      
  <g:form action="editActivityForecast" name="formMain">
    
    <h3>Activity description: ${activity.a_name}</h3>
    Year: 
    <g:select name="nextYear" from="${(employmentYear[0]..(1900 + 2 + new Date().getYear()))}" onchange="forms['formMain'].submit()"/>
    
    <h3>Forecast data</h3>
    <div id="gallery">
                <div id="slides">
                  <g:each var="i" in="${(1..spaces)}">
                    <div class="slide">
                      
                      <g:each var="j" in="${(1..6)}">
                        <div class="weekDiv">
                          <p>Week${(i-1)*6+j}</p>
                          <br/>
                          <input type="text" id="week${(i-1)*6 + j}" name="week${(i-1)*6 + j}" value="${celldata[((int)i-1)*6 + (int)j-1]}" class="weekCell"/>
                        </div>
                      </g:each>
                      
                    </div>
                  </g:each>
                  <div class="slide">
                  <g:each var="k" in="${( Math.round(6*spaces+1)..weekcount)}">
                    <div class="weekDiv">
                          <p>Week${k}</p>
                          <br/>
                          <input type="text" id="week${k}" name="week${k}" value="${celldata[(int)k-1]}" class="weekCell"/>
                        </div>
                  </g:each>
                  </div>
                </div>
      <br/>
      <br/>
    <div id="menu">
      <ul id="listMenu" runat="server">
         <g:each var="t" in="${1..(spaces+1)}">
           <li class="menuItem"><a href="#"><img alt="" width="20px" height="20px" src="${resource(dir: 'images', file: 'img_point.png')}"/></a></li>
         </g:each>
      </ul>
    </div>
  </div>
    <input type="hidden" id="currWeekCount" name="currWeekCount" value="${(int)weekcount}"/>
    <input type="hidden" id="currYear" name="currYear" value="${year}"/>
    <!--<input type="hidden" id="nextYear" name="nextYear" value="${year}"/>-->
    <input type="hidden" id="activityID" name="activityID" value="${activity.id}" />
  <g:submitButton name="submitSave" value="Save"/>
  </g:form>

    
    
  

    <script type="text/javascript">
   
    $(document).ready(function(){
	    
	 
	    var totWidth=0;
	    var positions = new Array();
	 
	    $('#slides .slide').each(function(i){
	        
	        positions[i]= totWidth;
	        totWidth += $(this).width();
	 
            
	 
	        if(!$(this).width())
                {
	            return false;
	        }
	    });
	 
	    $('#slides').width(totWidth);

	   

	    $('#menu ul li a').click(function (e) {

	        
	        $('li.menuItem').removeClass('act').addClass('inact');
	        $(this).parent().addClass('act');

	        var pos = $(this).parent().prevAll('.menuItem').length;

	        $('#slides').stop().animate({ marginLeft: -positions[pos] + 'px' }, 450);
	       

	        e.preventDefault();
	        
	    });

	    $('#menu ul li.menuItem:first').addClass('act').siblings().addClass('inact');

            //setting up the list
            $("#nextYear").val(${year});
	    
	    
	});
    </script>
    
    
  </body>
</html>
