<!--
  To change this template, choose Tools | Templates
  and open the template in the editor.
-->

<%@ page contentType="text/html;charset=UTF-8" %>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Full forecast</title>
    <meta name="layout" content="main"/>
    <g:javascript library="jquery"/>
  </head>
  <body>
    <div id="content"/>
    <h3>Full forecast</h3>
    
    <g:form name="formMain" action="saveFullForecast">
            <g:select name="nextYear" id="nextYear" from="${(user.employmentYear..(1900+2+new Date().getYear()))}" onchange="document.forms['formMain'].submit()"/>
            <select name="nextMonth" id="nextMonth" onchange="document.forms['formMain'].submit()">
              <option value="0">January</option>
              <option value="1">February</option>
              <option value="2">March</option>
              <option value="3">April</option>
              <option value="4">May</option>
              <option value="5">June</option>
              <option value="6">July</option>
              <option value="7">August</option>
              <option value="8">September</option>
              <option value="9">October</option>
              <option value="10">November</option>
              <option value="11">December</option>
            </select>
            <table id="tableType1" cellspacing="0" cellpadding="0">
              <tr>
                <td class="headerRow">Activity type</td>
                <td class="headerRow">Client</td>
                <td class="headerRow">Description</td>
                <td class="headerRow">Probability</td>
                <td class="headerRow">COR</td>
                <g:each in="${weeks}" var="week">
                  <td class="headerRow">Week ${week}</td>
                </g:each>
                <td class="headerRow">Total Days</td>
                <td class="headerRow">Total Rev.</td>
              </tr>
              <tr>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <g:each in="${(0..weekcount-1)}" var="i">
                  <td id="day_${weeks[i]}">${workingdays[i]}</td>
                </g:each>
                <td id="totalDays"/>
                <td id="totalRev"/>
              </tr>
              <g:each in="${activities1}" var="${activity}">
                <tr id="row_${activity[0]}">
                <td>${activity[1]}<input type="hidden" id="activityID" name="activityID" value="${activity[0]}"/></td>
                <td>${activity[2]}</td>
                <td>${activity[3]}</td>
                <td>${activity[4]}</td>
                <td id="COR_${activity[0]}">${activity[5]}</td>
                <g:each in="${0..(weekcount-1)}" var="i">
                  <td>
                    <input type="text" id="input_${activity[0]}_${weeks[i]}" name="input_${activity[0]}_${weeks[i]}" value="${activity[6][i]}" />
                    
                  </td>
                </g:each>
                <td id="totalDays_${activity[0]}">${activity[7]}</td>
                <td id="totalRev_${activity[0]}">${activity[8]}</td>
                </tr>
              </g:each>
              <colgroup>
                <col width="150px"/>
                <col width="150px"/>
                <col width="150px"/>
                <col width="70px"/>
                <col width="70px"/>
              </colgroup>
              <tr>
                <td colspan="12"/>
              </tr>
              <g:each in="${activities2}" var="${activity}">
                <tr>
                <td>${activity[1]}<input type="hidden" id="activityID" name="activityID" value="${activity[0]}"/></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <g:each in="${0..(weekcount-1)}" var="i">
                  <td>
                    <input type="text" id="input_${activity[0]}_${weeks[i]}" name="input_${activity[0]}_${weeks[i]}" value="${activity[6][i]}" />
                  </td>
                </g:each>
                <td>${activity[7]}</td>
                </tr>
                
              </g:each>
            </table>
            <g:each in="${weeks}" var="week">
              <input type="hidden" id="weekNumber" name="weekNumber" value="${week}"/>
            </g:each>
            <input type="hidden" id="currYear" name="currYear" value="${year}"/>
            <input type="hidden" id="currMonth" name="currMonth" value="${month}"/> 
            <input type="hidden" id="userID" name="userID" value="${user.id}"/>
            <input type="hidden" id="readOnly" name="readOnly" value="${readOnly}"/>
            
    </g:form> 
  
  <h3>Calculated values</h3>
  <table>
    <tr>
      <td>ARVE</td>
      <td>${arve}</td>
    </tr>
    <tr>
      <td>URVE</td>
      <td>${urve}</td>
    </tr>
    <tr>
      <td>COR</td>
      <td>${cor}</td>
    </tr>
  </table>
  <script type="text/javascript">
    $("document").ready(function()
    {
      $("#nextYear [value='${year}']").attr("selected","selected")  
      $("#nextMonth [value='${month}']").attr("selected","selected")
      
      var readOnly = "${readOnly}";
      if(readOnly!="")
        {
          $("input[type=text]").attr("disabled","disabled");
        }
    
  });
  </script>
  </div>
  </body>
</html>
