<!--
  To change this template, choose Tools | Templates
  and open the template in the editor.
-->

<%@ page contentType="text/html;charset=UTF-8" %>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Sample title</title>
    <meta name="layout" content="main"/>
    <g:javascript library="jquery"/>
    <script type="text/javascript">
    var w;
    var w2;
    
    var inputAdd_click = function()
    {
      if((w!=null) &&(!w.closed))
        {
          w.focus();
          return;
        }
      
      w = window.open("${createLink(controller:'consultantCabinet',action:'activityEditPage')}","Activity","width=500,height=500,resizeable=no");
      w.focus();
      
      
      w.onload=function()
      {
        var d = w.document;
        var userID = d.getElementById("userID");
        userID.value=${user?.id};
      }
        
    }
    
    var removeLine=function(id)
    {
      var currLine = document.getElementById("row"+id);
      currLine.parentNode.removeChild(currLine);
    }
    
    var showActivityForecast=function(id)
    {
      var year = ${Calendar.getInstance().get(Calendar.YEAR)};
      
      if((w2!=null) &&(!w2.closed))
        {
          w2.focus();
          return;
        }
      
      w2 = window.open("${createLink(controller:'consultantCabinet',action:'showActivityForecast')}?activityID="+id+"&year="+year,"Activity Forecast","width=500,resizeable=no");
      w2.focus();
    }
    
    var showEditPanel = function(id)
    {
      if((w!=null) &&(!w.closed))
        {
          w.focus();
          return;
        }
      var activityName = document.getElementById("name"+id).innerHTML;
      var activityClient = document.getElementById("client"+id).innerHTML;
      var activityDescription = document.getElementById("description"+id).innerHTML;
      var activityProbability = document.getElementById("probability"+id).innerHTML;
      var activityCOR = document.getElementById("COR"+id).innerHTML;
      
      w = window.open("${createLink(controller:'consultantCabinet',action:'activityEditPage')}","Activity","width=500,height=500,resizeable=no");
      w.focus();
      
      w.onload = function()
      {
        var d = w.document;
      
        var inputName = d.getElementById("inputName");
        var inputClient = d.getElementById("inputClient");
        var inputDescription = d.getElementById("inputDescription");
        var inputProbability = d.getElementById("inputProbability");
        var inputCOR = d.getElementById("inputCOR");
        var userID = d.getElementById("userID");
        var activityID = d.getElementById("activityID");
      
        inputName.value = activityName;
        inputClient.value=activityClient;
        inputDescription.value=activityDescription;
        inputProbability.value=activityProbability;
        inputCOR.value=activityCOR;
        activityID.value=id;
        userID.value=${user?.id};
      
        d.close();
      }
    }
</script>
  </head>
  <body>
    <div id="content">
    <h3>Welcome to the manager cabinet!</h3>
    <g:form name="formSelect" action="index">
    <g:select name="consultantID" id="consultantID" from="${consultants}" optionKey="id" optionValue="realname" noSelection="${['-1':'Select a consultant']}"/>
    <g:submitButton name="Load"/>
    </g:form>
    <g:if test="${user}">
      <h3>Consultant Information</h3>
      <table>
        <tr class="headerRow">
          <td>Name</td>
          <td>Employment Year</td>
        </tr>
        <tr>
          <td>${user.realname}</td>
          <td>${user.employmentYear}</td>
        </tr>
      </table>
      <br/>
      <br/>
      <h3>Consultant activities</h3>
    <table id="tableActivities" cellspacing="0" cellpadding="0">
      <tr class="headerRow">
          <td>Type</td>
          <td>Client</td>
          <td>Description</td>
          <td>Probability</td>
          <td>COR</td>
          <td/>
          <td/>
          <td/>
        </tr>
      <g:each in="${activities1}" var="${activity}">
        <tr id="row${activity.id}">
          <td id="name${activity.id}">${activity.a_name}</td>
          <td id="client${activity.id}" >${activity.a_client}</td>
          <td id="description${activity.id}" >${activity.a_description}</td>
          <td id="probability${activity.id}">${activity.a_probability}</td>
          <td id="COR${activity.id}">${activity.a_costperhour}</td>
          <td>
            <input type="button" value="Edit" onclick="showEditPanel(${activity.id})"/>
          </td>
          <td>
            <input type="button" value="Show Forecast" onclick="showActivityForecast(${activity.id})"/>
          </td>
          <td>
              <g:remoteLink id="${activity.id}" controller="consultantCabinet" action="deleteActivity" onSuccess="removeLine(${activity.id})">DELETE</g:remoteLink>
          </td>
        </tr>
      </g:each>
        <colgroup>
        <col width="200px"/>
        <col width="200px"/>
        <col width="200px"/>
        <col width="70px"/>
        <col width="70px"/>
        <col width="100px"/>
        <col width="150px"/>
      </colgroup>
    </table>
    <input type="button" id="inputAdd" value="Add new activity" onclick="inputAdd_click()" />
    
    <h3>Other activities</h3>
    
    <table width="700px" id="tableActivities2" cellspacing="0" cellpadding="0">
      <tr class="headerRow">
          <td>Activity description</td>
          <td></td>
        </tr>
      <g:each in="${activities2}" var="${activity}">
        <tr id="row${activity.id}">
          <td id="name${activity.id}">${activity.a_name}</td>
          <td>
            <input type="button" value="Show Forecast" onclick="showActivityForecast(${activity.id})"/>
          </td>
        </tr>
      </g:each>
    </table>
    
    <h3>Full forecast</h3>
    <g:link controller="consultantCabinet" action="showFullForecast" params="[userID:"${user.id}",year:"${1900+ new Date().getYear()}",month:"${new Date().getMonth()}"]">Full Forecast</g:link>
    </g:if> 
    </div>
  </body>
</html>
