<!--
  To change this template, choose Tools | Templates
  and open the template in the editor.
-->

<%@ page contentType="text/html;charset=UTF-8" %>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="layout" content="main"/>
    <g:javascript library="jquery"/>
    <title>Resourcing cabinet</title>
  </head>
  <body>
    <div id="content">
    <h3>Welcome to resourcing cabinet</h3>
    <br/>
  <g:form name="formMain" action="index" onsubmit="performValidation()">
    <h3>Select all consultants with specific workload.</h3>
    
    Year: <g:select name="year" value="${year}" from="${(startyear..(1900+new Date().getYear()+2))}"/>
    <br/>
    Week: <g:select name="week" value="${week}" from="${(1..53)}"/>
    <br/>
    Operation code: 
    <select name="operationID" id="operationID">
      <option value="0">Equal</option>
      <option value="1">Greater than</option>
      <option value="2">Less than</option>
    </select>
    <input type="text" id="percentage" name="percentage" value="${percentage}"/>
    <br/>
    <br/>
    <g:submitButton name="Find"/>
  </g:form>
  <g:if test="${users}">
  <h3>Consultants</h3>
  <table>
    <tr>
      <td>User Name</td>
      <td>Employment Year</td>
      <td></td>
    </tr>
  
  <g:each var="user" in="${users}">
    <tr>
      <td>${user.realname}</td>
      <td>${user.employmentYear}</td>
      <td><g:link controller="consultantCabinet" action="showFullForecast" params="[userID:"${user.id}",year:"${1900+ new Date().getYear()}",month:"${new Date().getMonth()}",readOnly:'true']">Full Forecast</g:link></td>
    </tr>
  </g:each>
    </table>
  </g:if>
  <script type="text/javascript">
    $("document").ready(function()
    {
    $("#operationID [value='${operationID}']").attr("selected","selected");
    });
    function performValidation()
    {
      var value=$("#percentage").val();
      if(isNaN(parseInt(value)))
      {
        alert("The search value is set incorrectly!");
        return false;
      }
      return true;
    }
  </script>
    </div>
  </body>
</html>
